Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1115)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! calculation of qr and nr is restricted to precipitation
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! calculation of qr and nr is restricted to precipitation
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: /palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/average_3d_data.f90	(revision 1115)
+++ /palm/trunk/SOURCE/average_3d_data.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! +qc
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! +qc
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: /palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- /palm/trunk/SOURCE/boundary_conds.f90	(revision 1115)
+++ /palm/trunk/SOURCE/boundary_conds.f90	(revision 1116)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! boundary conditions of two-moment cloud scheme are restricted to Neumann-
-! boundary-conditions
+!
 !  
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! boundary conditions of two-moment cloud scheme are restricted to Neumann-
+! boundary-conditions
 !
 ! 1113 2013-03-10 02:48:14Z raasch
Index: /palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- /palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 1115)
+++ /palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! drizzle can be used independently from precipitation
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! drizzle can be used independently from precipitation
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1115)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1116)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
-! drizzle can be used without precipitation
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! unused variables removed
+! drizzle can be used without precipitation
 !
 ! 1111 2013-03-08 23:54:10Z raasch
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 1115)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! ql is calculated by calc_liquid_water_content
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! ql is calculated by calc_liquid_water_content
 !
 ! 1076 2012-12-05 08:30:18Z hoffmann
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 1115)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! ql is calculated by calc_liquid_water_content
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! ql is calculated by calc_liquid_water_content
 !
 ! 1106 2013-03-04 05:31:38Z raasch
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1115)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! ql is calculated by calc_liquid_water_content
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! ql is calculated by calc_liquid_water_content
 !
 ! 1111 2013-03-08 23:54:10Z raasch
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1115)
+++ /palm/trunk/SOURCE/header.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! descriptions for Seifert-Beheng-cloud-physics-scheme added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! descriptions for Seifert-Beheng-cloud-physics-scheme added
 !
 ! 1111 2013-03-08 23:54:10Z raasch
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1115)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1116)
@@ -23,9 +23,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! unused variables removed
 !
 ! 1113 2013-03-10 02:48:14Z raasch
Index: /palm/trunk/SOURCE/microphysics.f90
===================================================================
--- /palm/trunk/SOURCE/microphysics.f90	(revision 1115)
+++ /palm/trunk/SOURCE/microphysics.f90	(revision 1116)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! microphyical tendencies are calculated in microphysics_control in an optimized
-! way; unrealistic values are prevented; bugfix in evaporation; some reformatting
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! microphyical tendencies are calculated in microphysics_control in an optimized
+! way; unrealistic values are prevented; bugfix in evaporation; some reformatting
 !
 ! 1106 2013-03-04 05:31:38Z raasch
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1115)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! unused variables removed
 !
 ! 1113 2013-03-10 02:48:14Z raasch
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1115)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! unused variables removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1115)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1116)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! optimized cloud physics: calculation of microphysical tendencies transfered 
-! to microphysics.f90; qr and nr are only calculated if precipitation is required
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! optimized cloud physics: calculation of microphysical tendencies transfered 
+! to microphysics.f90; qr and nr are only calculated if precipitation is required
 !
 ! 1111 2013-03-08 23:54:10Z raasch
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1115)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! unused variables removed
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 1115)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! unused variables removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1115)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! ql is calculated by calc_liquid_water_content
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! ql is calculated by calc_liquid_water_content
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: /palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- /palm/trunk/SOURCE/swap_timelevel.f90	(revision 1115)
+++ /palm/trunk/SOURCE/swap_timelevel.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! calculation of qr and nr is restricted to precipitation
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! calculation of qr and nr is restricted to precipitation
 !
 ! 1111 2013-03-08 23:54:10Z raasch
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1115)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! calculation of qr and nr is restricted to precipitation
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! calculation of qr and nr is restricted to precipitation
 !
 ! 1113 2013-03-10 02:48:14Z raasch
Index: /palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1115)
+++ /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! qr and nr are restricted to precipitation
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! qr and nr are restricted to precipitation
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1115)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1116)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1115 2013-03-26 18:16:16Z hoffmann
+! unused variables removed
 !
 ! 1065 2012-11-22 17:42:36Z hoffmann