Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 1131)
+++ /palm/trunk/SOURCE/Makefile	(revision 1132)
@@ -20,9 +20,12 @@
 # Current revisions:
 # ------------------
-# dependencies for time_integration modified
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1128 2013-04-12 06:19:32Z raasch
+# dependencies for time_integration modified
 #
 # 1111 2013-03-08 23:54:10Z raasch
Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1131)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1132)
@@ -20,6 +20,4 @@
 ! Current revisions:
 ! ------------------
-! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
-! j_north
 !
 !
@@ -27,4 +25,8 @@
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
+! j_north
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: /palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- /palm/trunk/SOURCE/buoyancy.f90	(revision 1131)
+++ /palm/trunk/SOURCE/buoyancy.f90	(revision 1132)
@@ -20,10 +20,13 @@
 ! Currrent revisions:
 ! -----------------
-! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
-! j_north
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
+! j_north
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/coriolis.f90
===================================================================
--- /palm/trunk/SOURCE/coriolis.f90	(revision 1131)
+++ /palm/trunk/SOURCE/coriolis.f90	(revision 1132)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
-! j_north
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
+! j_north
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_e.f90	(revision 1131)
+++ /palm/trunk/SOURCE/diffusion_e.f90	(revision 1132)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
-! j_north
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
+! j_north
 !
 ! 1065 2012-11-22 17:42:36Z hoffmann
Index: /palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_s.f90	(revision 1131)
+++ /palm/trunk/SOURCE/diffusion_s.f90	(revision 1132)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
-! j_north
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
+! j_north
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: /palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_u.f90	(revision 1131)
+++ /palm/trunk/SOURCE/diffusion_u.f90	(revision 1132)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
-! j_north
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
+! j_north
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_v.f90	(revision 1131)
+++ /palm/trunk/SOURCE/diffusion_v.f90	(revision 1132)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
-! j_north
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
+! j_north
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 1131)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 1132)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
-! j_north
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
+! j_north
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- /palm/trunk/SOURCE/exchange_horiz.f90	(revision 1131)
+++ /palm/trunk/SOURCE/exchange_horiz.f90	(revision 1132)
@@ -20,11 +20,14 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
 ! modifications for asynchronous transfer,
 ! local variables req, wait_stat are global now, and have been moved to module
 ! pegrid
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1113 2013-03-10 02:48:14Z raasch
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1131)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1132)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! +background_communication, i_left, i_right, j_north, j_south, req, req_count,
-! send_receive, sendrecv_in_background, wait_stat
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! +background_communication, i_left, i_right, j_north, j_south, req, req_count,
+! send_receive, sendrecv_in_background, wait_stat
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1131)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1132)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! +background_communication in inipar
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! +background_communication in inipar
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: /palm/trunk/SOURCE/production_e.f90
===================================================================
--- /palm/trunk/SOURCE/production_e.f90	(revision 1131)
+++ /palm/trunk/SOURCE/production_e.f90	(revision 1132)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
-! j_north
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
+! j_north
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1131)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1132)
@@ -20,11 +20,14 @@
 ! Current revisions:
 ! ------------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
 ! those parts requiring global communication moved to time_integration,
 ! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
 ! j_north
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1131)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1132)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! ------------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
 ! asynchronous transfer of ghost point data realized for acc-optimized version:
 ! prognostic_equations are first called two times for those points required for
@@ -26,8 +33,4 @@
 ! those parts requiring global communication moved from prognostic_equations to
 ! here
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: /palm/trunk/SOURCE/wall_fluxes.f90
===================================================================
--- /palm/trunk/SOURCE/wall_fluxes.f90	(revision 1131)
+++ /palm/trunk/SOURCE/wall_fluxes.f90	(revision 1132)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
-! j_north
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1128 2013-04-12 06:19:32Z raasch
+! loop index bounds in accelerator version replaced by i_left, i_right, j_south,
+! j_north
 !
 ! 1036 2012-10-22 13:43:42Z raasch