Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 1159)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 1160)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+!
+!  
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1159 2013-05-21 11:58:22Z fricke
 ! Bugfix: Neumann boundary conditions for the velocity components at the
 ! outflow are in fact radiation boundary conditions using the maximum phase
@@ -26,9 +33,4 @@
 ! Bugfix: In case of use_cmax at the outflow, u, v, w are replaced by
 ! u_p, v_p, w_p  
-!
-!  
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1159)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1160)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! bc_lr/ns_dirneu/neudir removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1159 2013-05-21 11:58:22Z fricke
+! bc_lr/ns_dirneu/neudir removed
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1159)
+++ palm/trunk/SOURCE/header.f90	(revision 1160)
@@ -20,5 +20,4 @@
 ! Current revisions:
 ! -----------------
-! +use_cmax
 !
 !
@@ -26,4 +25,7 @@
 ! -----------------
 ! $Id$
+!
+! 1159 2013-05-21 11:58:22Z fricke
+! +use_cmax
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1159)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1160)
@@ -23,5 +23,4 @@
 ! Current revisions:
 ! ------------------
-! -bc_lr_dirneu, bc_lr_neudir, bc_ns_dirneu, bc_ns_neudir
 !
 !
@@ -29,4 +28,7 @@
 ! -----------------
 ! $Id$
+!
+! 1159 2013-05-21 11:58:22Z fricke
+! -bc_lr_dirneu, bc_lr_neudir, bc_ns_dirneu, bc_ns_neudir
 !
 ! 1153 2013-05-10 14:33:08Z raasch
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 1159)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 1160)
@@ -20,5 +20,4 @@
 ! Current revisions:
 ! -----------------
-! dirichlet/neumann and neumann/dirichlet removed
 !
 !
@@ -26,4 +25,7 @@
 ! -----------------
 ! $Id$
+!
+! 1159 2013-05-21 11:58:22Z fricke
+! dirichlet/neumann and neumann/dirichlet removed
 !
 ! 1139 2013-04-18 07:25:03Z raasch
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1159)
+++ palm/trunk/SOURCE/modules.f90	(revision 1160)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! -bc_lr_dirneu, bc_lr_neudir, bc_ns_dirneu, bc_ns_neudir
-! +use_cmax
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1159 2013-05-21 11:58:22Z fricke
+! -bc_lr_dirneu, bc_lr_neudir, bc_ns_dirneu, bc_ns_neudir
+! +use_cmax
 !
 ! 1128 2013-04-12 06:19:32Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1159)
+++ palm/trunk/SOURCE/parin.f90	(revision 1160)
@@ -20,5 +20,4 @@
 ! Current revisions:
 ! -----------------
-! +use_cmax
 !
 !
@@ -26,4 +25,7 @@
 ! -----------------
 ! $Id$
+!
+! 1159 2013-05-21 11:58:22Z fricke
+! +use_cmax
 !
 ! 1128 2013-04-12 06:19:32Z raasch
Index: palm/trunk/SOURCE/poismg.f90
===================================================================
--- palm/trunk/SOURCE/poismg.f90	(revision 1159)
+++ palm/trunk/SOURCE/poismg.f90	(revision 1160)
@@ -23,5 +23,4 @@
 ! Current revisions:
 ! -----------------
-! bc_lr/ns_dirneu/neudir removed
 ! 
 !
@@ -29,4 +28,7 @@
 ! -----------------
 ! $Id$
+!
+! 1159 2013-05-21 11:58:22Z fricke
+! bc_lr/ns_dirneu/neudir removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch