Index: palm/trunk/TUTORIAL/SOURCE/runs_with_mrun.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/runs_with_mrun.tex	(revision 1164)
+++ palm/trunk/TUTORIAL/SOURCE/runs_with_mrun.tex	(revision 1165)
@@ -136,5 +136,5 @@
 % Folie 4
 \begin{frame}
-   \tikzstyle{green} = [rectangle, draw, fill=green!20, text width=0.45\textwidth, font=\scriptsize]
+   \tikzstyle{green} = [rectangle, draw, fill=green!20, font=\scriptsize]
    \tikzstyle{yellow} = [rectangle, draw, fill=yellow!20, text width=0.18\textwidth, font=\scriptsize]
    \tikzstyle{yellowsmall} = [rectangle, draw, fill=yellow!20, text width=0.10\textwidth, font=\scriptsize]
@@ -146,8 +146,8 @@
    \begin{enumerate}
       \item<2-> Create a temporary working directory and change into this directory:\\
-      \quad \texttt{mkdir <tempdir>/<username>.<randomnumber>}\\
-      \quad \texttt{cd <tempdir>/<username>.<randomnumber>}\\
+      \quad \texttt{mkdir <tmpdir>/<username>.<randomnumber>}\\
+      \quad \texttt{cd <tmpdir>/<username>.<randomnumber>}\\
       \ \\
-      The path of \texttt{<tempdir>} is given in the configuration file 
+      The path of \texttt{<tmpdir>} is given in the configuration file 
       \texttt{.mrun.config} by the environment variable \texttt{tmp\underline{ }user\underline{ }catalog}, e.g.:\\
 	   \quad \texttt{\%tmp\underline{ }user\underline{ }catalog  /tmp \hspace{30mm} <hi>  parallel}\\
@@ -158,5 +158,5 @@
 	   \begin{center}
 	      \begin{tikzpicture}[auto, node distance=0] 
-            \uncover<4->{\node [green] (green) {/tmp/$<$username$>$.$<$randomnumber$>$};}
+            \uncover<4->{\node [green] (green) {/$<$tmpdir$>$/$<$username$>$.$<$randomnumber$>$};}
          \end{tikzpicture}
 	   \end{center}
@@ -165,7 +165,7 @@
 	   \vspace{1mm}
 	   \onslide<6-> \tiny \quad \texttt{cp <user\underline{ }input\underline{ }file1> 
-	   /tmp/<username>.<randomnumber>/<temporary\underline{ }input\underline{ }file1>}\\
+	   /<tmpdir>/<username>.<randomnumber>/<temporary\underline{ }input\underline{ }file1>}\\
       \quad \texttt{cp <user\underline{ }input\underline{ }file2> 
-      /tmp/<username>.<randomnumber>/<temporary\underline{ }input\underline{ }file2>}\\
+      /<tmpdir>/<username>.<randomnumber>/<temporary\underline{ }input\underline{ }file2>}\\
       \vspace{2mm}
       \scriptsize
@@ -173,5 +173,5 @@
 	      \begin{tikzpicture}[auto, node distance=0] 
 	      
-            \uncover<8->{\node [green] (green) {/tmp/$<$username$>$.$<$randomnumber$>$};}
+            \uncover<8->{\node [green] (green) {/$<$tmpdir$>$/$<$username$>$.$<$randomnumber$>$};}
        
             \uncover<7->{\node [yellowsmall, above=0.1cm of green] (yellow2) {JOBS/};}
@@ -200,5 +200,5 @@
 % Folie 5
 \begin{frame}
-   \tikzstyle{green} = [rectangle, draw, fill=green!20, text width=0.45\textwidth, font=\scriptsize, minimum height=0.6cm]
+   \tikzstyle{green} = [rectangle, draw, fill=green!20, font=\scriptsize, minimum height=0.6cm]
    \tikzstyle{yellow} = [rectangle, draw, fill=yellow!20, text width=0.18\textwidth, font=\scriptsize, minimum height=0.6cm]
    \tikzstyle{dummy} = [rectangle, text width=0.01\textwidth, font=\scriptsize, minimum height=0.6cm]
@@ -216,5 +216,5 @@
 	         \uncover<2->{\node [green, right=0.2cm of yellow] (green1) {MAKE\underline{ }DEPOSITORY\underline{ }\textit{parallel}/};}
 	         \uncover<1->{\node [dummy, right=0.2cm of green1] (dummy2) {};}
-            \uncover<3->{\node [green, below=0.5cm of dummy1] (green2) {/tmp/$<$username$>$.$<$randomnumber$>$};}
+            \uncover<3->{\node [green, below=0.5cm of dummy1] (green2) {/$<$tmpdir$>$/$<$username$>$.$<$randomnumber$>$};}
              \uncover<1->{\node [dummy, below=0.5cm of dummy2] (dummy3) {};}
              \uncover<4->{\node [dummy, right=0.0cm of dummy3] (text) {Makefile\\
@@ -239,5 +239,5 @@
 % Folie 6
 \begin{frame}
-   \tikzstyle{green} = [rectangle, draw, fill=green!20, text width=0.45\textwidth, font=\scriptsize, minimum height=0.6cm]
+   \tikzstyle{green} = [rectangle, draw, fill=green!20, font=\scriptsize, minimum height=0.6cm]
    \tikzstyle{yellow} = [rectangle, draw, fill=yellow!20, text width=0.18\textwidth, font=\scriptsize, minimum height=0.6cm]
    \tikzstyle{dummy} = [rectangle, text width=0.01\textwidth, font=\scriptsize, minimum height=0.6cm]
@@ -248,6 +248,6 @@
       \setcounter{enumi}{5}
 	   \item<1-> Copy the output files from the working directory to a (permanent) directory of the user:\\
-       \tiny \quad \texttt{cp /tmp/<username>.<randomnumber>/<temporary\underline{ }output\underline{ }file1> <user\underline{ }output\underline{ }file1>}\\
-      \quad \texttt{cp /tmp/<username>.<randomnumber>/<temporary\underline{ }output\underline{ }file2> <user\underline{ }output\underline{ }file2>}\\
+       \tiny \quad \texttt{cp /<tmpdir>/<username>.<randomnumber>/<temporary\underline{ }output\underline{ }file1> <user\underline{ }output\underline{ }file1>}\\
+      \quad \texttt{cp /<tmpdir>/<username>.<randomnumber>/<temporary\underline{ }output\underline{ }file2> <user\underline{ }output\underline{ }file2>}\\
       \footnotesize 
       \begin{center}
@@ -264,5 +264,5 @@
             \uncover<2->{\node [yellow, left=0.2cm of yellow4] (yellow5) {current\underline{ }version/};}
                       	                     
-	         \uncover<2-3>{\node [green, left=5.0cm of dummy1] (green) {/tmp/$<$username$>$.$<$randomnumber$>$};}
+	         \uncover<2-3>{\node [green, left=5.0cm of dummy1] (green) {/$<$tmpdir$>$/$<$username$>$.$<$randomnumber$>$};}
 	         
             \draw<2-3> [-] (green.east) -- (dummy1.center);
@@ -281,5 +281,5 @@
 	   
 	   \item<3-> Delete the temporary working directory\\
-      \quad \texttt{rm -rf /tmp/<username>.<randomnumber>}\\
+      \quad \texttt{rm -rf /<tmpdir>/<username>.<randomnumber>}\\
       \vspace{2mm}
       \onslide<5->\textcolor{red}{Question: How does \texttt{mrun} know which files have to be copied and where from or where to they have to be copied?}
@@ -564,9 +564,9 @@
          \textbf{as soon as message}
          
-         \texttt{*** execution starts in directory\\ \quad \dq <tempdir>\dq\, }\\
+         \texttt{*** execution starts in directory\\ \quad \dq <tmpdir>\dq\, }\\
          \ \\
          \textbf{you can change to this directory (in a new terminal) and watch the progess of timesteps}
 
-         \texttt{cd <tempdir>}\\
+         \texttt{cd <tmpdir>}\\
          \texttt{tail -f RUN\underline{ }CONTROL}\\
          \ \\