Index: palm/trunk/EXAMPLES/benchmark_openacc/acc_large_p3d
===================================================================
--- palm/trunk/EXAMPLES/benchmark_openacc/acc_large_p3d	(revision 1171)
+++ palm/trunk/EXAMPLES/benchmark_openacc/acc_large_p3d	(revision 1171)
@@ -0,0 +1,28 @@
+ &inipar nx = 511, ny = 511, nz = 64,
+         dx = 1.0, dy = 1.0, dz = 1.0,
+         dz_stretch_level = 1200.0,
+
+         background_communication = .FALSE.,
+
+         fft_method = 'system-specific',
+         loop_optimization = 'acc',
+
+         initializing_actions = 'set_constant_profiles',
+         ug_surface = 0.0, vg_surface = 0.0,
+         pt_vertical_gradient       = 0.0, 1.0,
+         pt_vertical_gradient_level = 0.0, 800.0,
+
+
+	 surface_heatflux = 0.1, bc_pt_b = 'neumann'  
+
+/ 
+
+ &d3par  end_time = 65.0,
+
+         create_disturbances = .T.,
+         dt_disturb = 150.0, disturbance_energy_limit = 0.01,
+
+         dt_run_control = 0.0,
+
+/
+
Index: palm/trunk/EXAMPLES/benchmark_openacc/acc_medium_p3d
===================================================================
--- palm/trunk/EXAMPLES/benchmark_openacc/acc_medium_p3d	(revision 1171)
+++ palm/trunk/EXAMPLES/benchmark_openacc/acc_medium_p3d	(revision 1171)
@@ -0,0 +1,28 @@
+ &inipar nx = 255, ny = 255, nz = 64,
+         dx = 1.0, dy = 1.0, dz = 1.0,
+         dz_stretch_level = 1200.0,
+
+         background_communication = .FALSE.,
+
+         fft_method = 'system-specific',
+         loop_optimization = 'acc',
+
+         initializing_actions = 'set_constant_profiles',
+         ug_surface = 0.0, vg_surface = 0.0,
+         pt_vertical_gradient       = 0.0, 1.0,
+         pt_vertical_gradient_level = 0.0, 800.0,
+
+
+	 surface_heatflux = 0.1, bc_pt_b = 'neumann'  
+
+/ 
+
+ &d3par  end_time = 30.0,
+
+         create_disturbances = .T.,
+         dt_disturb = 150.0, disturbance_energy_limit = 0.01,
+
+         dt_run_control = 0.0,
+
+/
+
Index: palm/trunk/EXAMPLES/benchmark_openacc/acc_small_p3d
===================================================================
--- palm/trunk/EXAMPLES/benchmark_openacc/acc_small_p3d	(revision 1171)
+++ palm/trunk/EXAMPLES/benchmark_openacc/acc_small_p3d	(revision 1171)
@@ -0,0 +1,28 @@
+ &inipar nx = 39, ny = 39, nz = 40,
+         dx = 50.0, dy = 50.0, dz = 50.0,
+         dz_stretch_level = 1200.0,
+
+         background_communication = .FALSE.,
+
+         fft_method = 'system-specific',
+         loop_optimization = 'acc',
+
+         initializing_actions = 'set_constant_profiles',
+         pt_reference = 300.0,
+         ug_surface = 0.0, vg_surface = 0.0,
+         pt_vertical_gradient       = 0.0, 1.0,
+         pt_vertical_gradient_level = 0.0, 800.0,
+
+
+	 surface_heatflux = 0.1, bc_pt_b = 'neumann',  /
+
+
+ &d3par  end_time = 600.0,
+
+         create_disturbances = .T.,
+         dt_disturb = 7200.0, disturbance_energy_limit = 0.01,
+
+         dt_run_control = 0.0,
+
+          /
+
Index: palm/trunk/EXAMPLES/benchmark_openacc/acc_small_rc
===================================================================
--- palm/trunk/EXAMPLES/benchmark_openacc/acc_small_rc	(revision 1171)
+++ palm/trunk/EXAMPLES/benchmark_openacc/acc_small_rc	(revision 1171)
@@ -0,0 +1,197 @@
+
+ ******************************      ------------------------------------------
+ * PALM 3.9  Rev: 1170M       *      atmosphere - 3D - run without 1D - prerun
+ ******************************      ------------------------------------------
+
+ Date:                 30-05-13      Run:       acc_small           
+ Time:                 10:44:18      Run-No.:   00
+ Run on host:           unknown
+ Accelerator boards:          1
+ ------------------------------------------------------------------------------
+
+ Numerical Schemes:
+ -----------------
+
+ --> Solve perturbation pressure via FFT using system-specific routines
+     perturbation pressure is calculated at every Runge-Kutta step
+ --> Momentum advection via Wicker-Skamarock-Scheme 5th order
+ --> Scalar advection via Wicker-Skamarock-Scheme 5th order
+ --> Loop optimization method: acc
+ --> Time differencing scheme: runge-kutta-3       
+ ------------------------------------------------------------------------------
+
+
+ Run time and time step information:
+ ----------------------------------
+
+ Timestep:             variable     maximum value: 20.000 s    CFL-factor: 0.90
+ Start time:              0.000 s
+ End time:              600.000 s
+
+
+ Computational grid and domain size:
+ ----------------------------------
+
+ Grid length:      dx =     50.000 m    dy =     50.000 m    dz =     50.000 m
+ Domain size:       x =   2000.000 m     y =   2000.000 m  z(u) =   2862.511 m
+
+ dz constant up to   1200.000 m (k=  25), then stretched by factor: 1.080
+ maximum dz not to be exceeded is dz_max = ********** m
+
+ Number of gridpoints (x,y,z):  (0:  39, 0:  39, 0:  41)
+ Subdomain size (x,y,z):        (    40,     40,     42)
+
+
+
+ Topography informations:
+ -----------------------
+
+ Topography: flat                                    
+
+
+ Boundary conditions:
+ -------------------
+
+                     p                    uv                                pt
+
+ B. bound.: p(0)     = p(1)   | uv(0)     = -uv(1)                | pt(0)   = pt(1)              
+ T. bound.: p(nzt+1) = 0      | uv(nzt+1) = ug(nzt+1), vg(nzt+1)  | pt(nzt+1) = pt(nzt) + dpt/dz_
+
+                     e
+
+ B. bound.: e(0)     = e(1)                                                                      
+ T. bound.: e(nzt+1) = e(nzt) = e(nzt-1)                                                         
+
+ Bottom surface fluxes are used in diffusion terms at k=1
+       Predefined constant heatflux:    0.100000 K m/s
+
+
+    Prandtl-Layer between bottom surface and first computational u,v-level:
+
+       zp =  25.00 m   z0 = 0.1000 m   z0h = 0.10000 m   kappa = 0.40
+       Rif value range:    -5.00 <= rif <=  1.00
+
+
+ Lateral boundaries:
+       left/right:  cyclic              
+       north/south: cyclic              
+
+
+ List output:
+ -----------
+
+    1D-Profiles:
+       Output every             ******** s
+
+
+ Data output:
+ -----------
+
+
+    Time series:
+       Output format: netCDF 64bit offset                     
+
+       Output every                 0.00 s
+
+ ------------------------------------------------------------------------------
+
+
+ Physical quantities:
+ -------------------
+
+    Angular velocity    :   omega = 0.729E-04 rad/s
+    Geograph. latitude  :   phi   = 55.0 degr
+    Coriolis parameter  :   f     =  0.000119 1/s
+                            f*    =  0.000084 1/s
+
+    Gravity             :   g     =  9.8 m/s**2
+
+    Reference temperature in buoyancy terms: 300.0000 K
+
+    Characteristic levels of the geo. wind component ug:
+
+       Height:         0.0     0.0  m
+       ug:            0.00    0.00  m/s
+       Gradient:    ------    0.00  1/100s
+       Gridpoint:        0       0
+
+    Characteristic levels of the geo. wind component vg:
+
+       Height:         0.0     0.0  m
+       vg:            0.00    0.00  m/s
+       Gradient:    ------    0.00  1/100s
+       Gridpoint:        0       0
+
+    Characteristic levels of the initial temperature profile:
+
+       Height:           0.0     0.0   800.0  m
+       Temperature:   300.00  300.00  300.00  K
+       Gradient:      ------    0.00    1.00  K/100m
+       Gridpoint:          0       0      16
+
+
+ Cloud physics quantities / methods:
+ ----------------------------------
+
+
+
+ LES / Turbulence quantities:
+ ---------------------------
+
+    Mixing length is limited to 1.80 * z
+
+
+ Actions during the simulation:
+ -----------------------------
+
+    Disturbance impulse (u,v) every :   ****** s
+    Disturbance amplitude           :     0.25 m/s
+    Lower disturbance level         :   125.00 m (GP    3)
+    Upper disturbance level         :   625.00 m (GP   13)
+    Disturbances cease as soon as the disturbance energy exceeds 0.010 m**2/s**2
+    Random number generator used    : numerical-recipes
+
+
+
+ *** no user-defined variables found
+
+ ------------------------------------------------------------------------------
+
+
+
+Run-control output:
+------------------
+
+RUN  ITER. HH:MM:SS.SS    DT(E)     UMAX     VMAX     WMAX     U*    W*   THETA*    Z_I     ENERG.   DISTENERG    DIVOLD     DIVNEW     UMAX(KJI)    VMAX(KJI)    WMAX(KJI)   ADVECX   ADVECY   MGCYC
+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
+  0      0 00:00:00.00  20.0000A  -0.2192D -0.2169D -0.1214  0.000  1.38   0.000    800.  0.106E-02  0.000E+00  0.000E+00  0.000E+00   11  32   5    5  37  29    4  26   0    0.000    0.000       0
+  0      1 00:00:20.00  20.0000A  -0.2192  -0.2169  -0.1214  0.001  1.41  ******    850.  0.105E-02  0.000E+00  0.370E-12  0.739E-13   11  32   5    5  37  29    4  26   0    0.000    0.000       0
+  0      2 00:00:40.00  20.0000D  -0.2151  -0.2176  -0.1209  0.001  0.79  ******    150.  0.104E-02  0.000E+00  0.370E-12  0.739E-13   11  32   5    5  37  29    4  26   0    0.000    0.000       0
+  0      3 00:01:00.00  20.0000D  -0.2107  -0.2178  -0.1204  0.001  0.79  ******    150.  0.103E-02  0.000E+00  0.370E-12  0.739E-13   11  32   5    5  37  29    4  26   0    0.000    0.000       0
+  0      4 00:01:20.00  20.0000D  -0.2060  -0.2177  -0.1199  0.001  0.79  ******    150.  0.102E-02  0.000E+00  0.370E-12  0.739E-13   11  32   5    4   5   2    4  26   0    0.000    0.000       0
+  0      5 00:01:40.00  20.0000D  -0.2011  -0.2184  -0.1193  0.001  0.79  ******    150.  0.101E-02  0.000E+00  0.370E-12  0.739E-13   11  32   5    4   5   2    4  26   0    0.000    0.000       0
+  0      6 00:02:00.00  20.0000D  -0.1959  -0.2186  -0.1188  0.001  0.79  ******    150.  0.100E-02  0.000E+00  0.370E-12  0.739E-13   11  32   5    4   5   2    4  26   0    0.000    0.000       0
+  0      7 00:02:20.00  20.0000D  -0.1942  -0.2184  -0.1182  0.001  1.29  ******    650.  0.994E-03  0.000E+00  0.370E-12  0.739E-13   11  32   4    4   5   2    4  26   0    0.000    0.000       0
+  0      8 00:02:40.00  20.0000D  -0.1948  -0.2177  -0.1175  0.001  1.29  ******    650.  0.985E-03  0.000E+00  0.370E-12  0.739E-13   11  32   4    4   5   2    4  26   0    0.000    0.000       0
+  0      9 00:03:00.00  20.0000D  -0.1950  -0.2167  -0.1168  0.001  1.29  ******    650.  0.976E-03  0.000E+00  0.370E-12  0.739E-13   11  32   4    4   5   2    4  26   0    0.000    0.000       0
+  0     10 00:03:20.00  20.0000D  -0.1947  -0.2153  -0.1160  0.001  1.29  ******    650.  0.968E-03  0.000E+00  0.370E-12  0.739E-13   11  32   4    4   5   2    4  26   0    0.000    0.000       0
+  0     11 00:03:40.00  20.0000D  -0.1941  -0.2135  -0.1151  0.001  1.29  ******    650.  0.959E-03  0.000E+00  0.370E-12  0.739E-13   11  32   4    4   5   2    4  26   0    0.000    0.000       0
+  0     12 00:04:00.00  20.0000D  -0.1931  -0.2115  -0.1141  0.001  1.29  ******    650.  0.951E-03  0.000E+00  0.370E-12  0.739E-13   11  32   4    4   5   2    4  26   0    0.000    0.000       0
+  0     13 00:04:20.00  20.0000D  -0.1917  -0.2092  -0.1130  0.002  1.29  ******    650.  0.943E-03  0.000E+00  0.370E-12  0.739E-13    6   0  13    4   5   2    4  26   0    0.000    0.000       0
+  0     14 00:04:40.00  20.0000D  -0.1913  -0.2066  -0.1118  0.002  1.29  ******    650.  0.936E-03  0.000E+00  0.370E-12  0.739E-13    6   0  13    4   5   2    4  26   0    0.000    0.000       0
+  0     15 00:05:00.00  20.0000D  -0.1907  -0.2039  -0.1105  0.002  1.29  ******    650.  0.929E-03  0.000E+00  0.370E-12  0.739E-13    6   0  13    4   5   2    4  26   0    0.000    0.000       0
+  0     16 00:05:20.00  20.0000D  -0.1900  -0.2009  -0.1091  0.002  1.29  ******    650.  0.923E-03  0.000E+00  0.370E-12  0.739E-13    6   0  13    4   5   2    4  26   0    0.000    0.000       0
+  0     17 00:05:40.00  20.0000D  -0.1905  -0.1977  -0.1075  0.002  1.29  ******    650.  0.918E-03  0.000E+00  0.370E-12  0.739E-13   10  36   1    4   5   2    4  26   0    0.000    0.000       0
+  0     18 00:06:00.00  20.0000D  -0.1917  -0.1956   0.1083  0.003  1.28  ******    650.  0.915E-03  0.000E+00  0.370E-12  0.739E-13   10  36   1    6  29  30    2  22  30    0.000    0.000       0
+  0     19 00:06:20.00  20.0000D  -0.1926  -0.1964   0.1204  0.003  1.28  ******    650.  0.914E-03  0.000E+00  0.370E-12  0.739E-13   10  36   1    6  29  30    2  22  30    0.000    0.000       0
+  0     20 00:06:40.00  20.0000D  -0.1932  -0.1970   0.1346  0.003  1.28  ******    650.  0.916E-03  0.000E+00  0.370E-12  0.739E-13   10  36   1    6  29  30    2  22  30    0.000    0.000       0
+  0     21 00:07:00.00  20.0000D  -0.1935  -0.1972   0.1511  0.003  1.28  ******    650.  0.922E-03  0.000E+00  0.370E-12  0.739E-13   10  36   1    6  29  30    2  22  30    0.000    0.000       0
+  0     22 00:07:20.00  20.0000D  -0.1935  -0.1971   0.1704  0.004  1.28  ******    650.  0.932E-03  0.000E+00  0.370E-12  0.739E-13   10  36   1    6  29  30    2  22  30    0.000    0.000       0
+  0     23 00:07:40.00  20.0000D  -0.1933  -0.2002   0.1928  0.004  1.28  ******    650.  0.948E-03  0.000E+00  0.370E-12  0.739E-13   10  36   1    4   4   2    2  22  30    0.000    0.000       0
+  0     24 00:08:00.00  20.0000D  -0.1927  -0.2033   0.2186  0.005  1.28  ******    650.  0.974E-03  0.000E+00  0.370E-12  0.739E-13   10  36   1    4   4   2    2  22  30    0.000    0.000       0
+  0     25 00:08:20.00  20.0000D  -0.1918  -0.2065   0.2485  0.006  1.28  ******    650.  0.101E-02  0.000E+00  0.370E-12  0.739E-13   10  36   1    4   4   2    2  22  30    0.000    0.000       0
+  0     26 00:08:40.00  20.0000D  -0.1907  -0.2098   0.2828  0.006  1.28  ******    650.  0.106E-02  0.000E+00  0.370E-12  0.739E-13   10  36   1    4   4   2    2  22  30    0.000    0.000       0
+  0     27 00:09:00.00  20.0000D  -0.1894  -0.2133   0.3220  0.007  1.28  ******    650.  0.114E-02  0.000E+00  0.370E-12  0.739E-13   10  36   1    4   4   2    2  22  30    0.000    0.000       0
+  0     28 00:09:20.00  20.0000D   0.1930  -0.2172   0.3667  0.008  1.28  ******    650.  0.124E-02  0.000E+00  0.370E-12  0.739E-13    4  30  36    4   4   2    2  22  30    0.000    0.000       0
+  0     29 00:09:40.00  20.0000D  -0.2145  -0.2214   0.4171  0.009  1.28  ******    650.  0.138E-02  0.000E+00  0.370E-12  0.739E-13    1  29  23    4   4   2    2  22  30    0.000    0.000       0
+  0     30 00:10:00.00  20.0000D  -0.2405  -0.2261   0.4735  0.011  1.28  ******    650.  0.156E-02  0.000E+00  0.370E-12  0.739E-13    1  29  23    4   4   2    2  22  30    0.000    0.000       0