Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1196)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1197)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# 
+# adjustments for CSC Helsinki (lccrayf)
 #
 # Former revisions:
@@ -1250,8 +1250,8 @@
 
           # workaround for lcxe6
-       if [[ $remote_host = lcxe6 ]]
-       then
-
-          eval $init_cmds
+       if [[ $remote_host = lcxe6  ||  $remote_host = lccrayf ]]
+       then
+
+          eval $init_cmds  >  /dev/null  2>&1
 
        fi
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1196)
+++ palm/trunk/SCRIPTS/mrun	(revision 1197)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# 
+# adjustments for CSC Helsinki (lccrayf)
 #
 # Former revisions:
@@ -553,5 +553,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|nech|necriam|lcflow|lckyoto|lcsgib|lcsgih|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|nech|necriam|lccrayf|lcflow|lckyoto|lcsgib|lcsgih|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -724,5 +724,5 @@
                    do_remote=true
                    case  $host  in
-                       (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lcflow|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+                       (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lccrayf|lcflow|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
                        (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
                             printf "\n      is not available"
@@ -1001,5 +1001,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lcflow|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lccrayf|lcflow|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -2818,4 +2818,10 @@
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
+#       elif [[ $localhost = lccrayf ]]
+#       then
+#          printf "      compiler is called via ssh on \"sisu-login1\" \n"
+#          ssh  $SSH_PORTOPT  sisu-login1  -l $usern  "$init_cmds $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+#          [[ ! -f a.out ]]  &&  compile_error=true
+#          continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
        elif [[ $localhost = lcsgib ]]
        then
@@ -2836,4 +2842,8 @@
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
+       elif [[ $localhost = lccrayf ]]
+       then
+          module list
+          make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
        else
           [[ "$init_cmds" != "" ]]  &&  eval $init_cmds
@@ -3563,5 +3573,5 @@
                 # COPY HOSTFILE FROM SOURCE DIRECTORY OR CREATE IT, IF IT
                 # DOES NOT EXIST
-             if [[ $host != lcsgih  &&  $host != lcsgib  &&  $host != lckyuh  &&  $host != lckyut ]]
+             if [[ $host != lccrayf  &&  $host != lcsgih  &&  $host != lcsgib  &&  $host != lckyuh  &&  $host != lckyut ]]
              then
                 if [[ -f $hostfile ]]
@@ -3670,4 +3680,8 @@
                       mpirun -np $ii inspxe-cl -r result -collect mi3 -- ./a.out  <  runfile_atmos
                    fi
+                elif [[ $host = lccrayf ]]
+                then
+                    echo "aprun  -n $ii  -N $tasks_per_node  -m ${memory}M  a.out  $ROPTS  < runfile_atmos"
+                    aprun  -n $ii  -N $tasks_per_node  -m ${memory}M  a.out  $ROPTS  < runfile_atmos
                 elif [[ $host = lcxe6  ||  $host = lcxt5m ]]
                 then
@@ -3718,5 +3732,5 @@
                       fi
 
-                   elif [[ $host = lcxe6  ||  $host = lcxt5m ]]
+                   elif [[ $host = lccrayf  ||  $host = lcxe6  ||  $host = lcxt5m ]]
                    then
 
@@ -3751,5 +3765,5 @@
                       fi
 
-                   elif [[ $host = lcxe6  ||  $host = lcxt5m ]]
+                   elif [[ $host = lccrayf  ||  $host = lcxe6  ||  $host = lcxt5m ]]
                    then
 
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1196)
+++ palm/trunk/SCRIPTS/subjob	(revision 1197)
@@ -23,5 +23,5 @@
 # Current revisions:
 # ------------------
-#
+# adjustments for CSC Helsinki (lccrayf)
 #
 # Former revisions:
@@ -134,4 +134,5 @@
      (caurus)                local_addres=130.75.105.19;  local_host=lcmuk;;
      (climate*)              local_addres=165.132.26.68;  local_host=lcyon;;
+     (clogin*)               local_addres=86.50.166.21;   local_host=lccrayf;;
      (compute-*.local)       local_addres=172.20.4.2;     local_host=lcfimm;;
      (cs*)                   local_addres=136.172.44.131; local_host=nech;;
@@ -174,11 +175,12 @@
      (quanero)               local_addres=130.75.105.107; local_host=lcmuk;;
      (rte*)                  local_addres=133.5.185.60;   local_host=lcrte;;
+     (r1*)                   local_addres=130.75.4.102;   local_host=lcsgih;;
+     (r2*)                   local_addres=130.73.232.102; local_host=lcsgib;;
      (scirocco)              local_addres=172.20.25.41;   local_host=lcmuk;;
+     (sisu-login*)           local_addres=86.50.166.21;   local_host=lccrayf;;
      (solano)                local_addres=130.75.105.110; local_host=lcmuk;;
      (sugoka*)               local_addres=172.31.120.1;   local_host=lckyut;;
      (sun1|sun2)             local_addres=130.75.6.1;     local_host=unics;;
      (sx-*)                  local_addres=172.16.1.131;   local_host=necriam;;
-     (r1*)                   local_addres=130.75.4.102;   local_host=lcsgih;;
-     (r2*)                   local_addres=130.73.232.102; local_host=lcsgib;;
      (t2a*)                  local_addres=10.1.6.165;     local_host=lctit;;
      (urban*)                local_addres=147.46.30.151   local_host=lcsb;;
@@ -313,4 +315,5 @@
         (ibms)    queue=p_normal; remote_addres=150.183.5.101; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
         (ibmy)    queue=parallel; remote_addres=165.132.26.58; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
+        (lccrayf) queue=small; remote_addres=86.50.166.21; submcom=/opt/slurm/default/bin/sbatch;;
 	(lcfimm)  remote_addres=172.20.4.2; submcom=/opt/torque/bin/qsub;;
         (lcflow)  remote_addres=10.140.1.71; submcom=/cm/shared/apps/sge/6.2u5p2/bin/lx26-amd64/qsub;;
@@ -366,4 +369,8 @@
         (ibmy)   case  $ndq  in
                      (parallel)                              error=false;;
+                     (*)                                     error=true;;
+                 esac;;
+        (lccrayf) case  $ndq  in
+                     (usup|test*|small|large)                error=false;;
                      (*)                                     error=true;;
                  esac;;
@@ -751,4 +758,42 @@
 %%END%%
 
+ elif [[ $remote_host = lccrayf ]]
+ then
+
+    if [[ $numprocs != 0 ]]
+    then
+       cat > $job_to_send << %%END%%
+#!/bin/bash -l
+#SBATCH -J $job_name
+#SBATCH -t $timestring
+#SBATCH -N $nodes
+#SBATCH --ntasks-per-node=$processes_per_node
+#SBATCH -p $queue
+#SBATCH -o $remote_dayfile
+#SBATCH -e $remote_dayfile
+
+$init_cmds
+$module_calls
+
+%%END%%
+
+    else
+       cat > $job_to_send << %%END%%
+#!/bin/bash -l
+#SBATCH -J $job_name
+#SBATCH -t $timestring
+#SBATCH -l ncpus=1
+#SBATCH -l pmem=${memory}mb
+#SBATCH -m abe
+#SBATCH -o $remote_dayfile
+#SBATCH -e $remote_dayfile
+
+$init_cmds
+$module_calls
+
+%%END%%
+
+    fi
+
  elif [[ $remote_host = lcfimm ]]
  then