Index: /palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex
===================================================================
--- /palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex	(revision 1197)
+++ /palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex	(revision 1198)
@@ -73,5 +73,5 @@
    \begin{itemize}
       \scriptsize
-	   \item<6-> domain size: about $\unit[2000 \times 2000 \times 1000]{m}$ ($x$/$y$/$z$)
+	   \item<6-> domain size: about $\unit[2000 \times 2000 \times 1000]{m^3}$ ($x$/$y$/$z$)
 	   \item<7-> grid size: $\unit[50]{m}$ equidistant
 	   \item<8-> simulated time:	$\unit[3600]{s}$
@@ -79,5 +79,5 @@
 	   \item<10-> heatflux at top: $\unit[0.1]{K\ m\ s^{-1}}$
 	   \item<11-> initial temperature: $\unit[300]{K}$ everywhere
-	   \item<12-> initial velocity: zero, everywhere
+	   \item<12-> initial velocity: zero everywhere
    \end{itemize}  
 \end{frame}
@@ -88,6 +88,6 @@
    
    \begin{itemize}
-   \item<1-> How does the flow field looks like after 60 minutes simulated time? (what kind of output do you need to answer this?)
-   \item<2-> How do the horizontally and temporally averaged vertical temperature and heat flux profile look like?
+   \item<1-> How does the flow field look like after 60 minutes of simulated time? (What kind of output do you need to answer this?)
+   \item<2-> How do the horizontally and temporally averaged vertical temperature and heat flux profiles look like?
    \item<3-> Is it really a large-eddy simulation, i.e. are the subgrid-scale fluxes much smaller than the resolved-scale fluxes? (How long should the averaging time interval be?)
    \item<4-> How do the total kinetic energy and the maximum velocity components change in time? Has the flow become stationary?
@@ -108,5 +108,5 @@
       \begin{itemize}
          \scriptsize
-         \item[-]<2-> Is controled by grid size (\textcolor{blue}{\texttt{dx}}, \textcolor{blue}{\texttt{dy}}, \textcolor{blue}{\texttt{dz}}) and number of grid points (\textcolor{blue}{\texttt{nx}}, \textcolor{blue}{\texttt{ny}}, \textcolor{blue}{\texttt{nz}}). Since the first grid point along one of the directions has index 0, the total number of grid points used are \textcolor{blue}{\texttt{nx}}+1, \textcolor{blue}{\texttt{ny}}+1, \textcolor{blue}{\texttt{nz}}+1. The total domain size in case of cyclic horizontal boundary conditions is (\textcolor{blue}{\texttt{nx}}+1)*\textcolor{blue}{\texttt{dx}}, (\textcolor{blue}{\texttt{ny}}+1)*\textcolor{blue}{\texttt{dy}}.
+         \item[-]<2-> Is controlled by grid size (\textcolor{blue}{\texttt{dx}}, \textcolor{blue}{\texttt{dy}}, \textcolor{blue}{\texttt{dz}}) and number of grid points (\textcolor{blue}{\texttt{nx}}, \textcolor{blue}{\texttt{ny}}, \textcolor{blue}{\texttt{nz}}). Since the first grid point along each of the directions has index 0, the total number of grid points used are \textcolor{blue}{\texttt{nx}}+1, \textcolor{blue}{\texttt{ny}}+1, \textcolor{blue}{\texttt{nz}}+1. The total domain size in case of cyclic horizontal boundary conditions is (\textcolor{blue}{\texttt{nx}}+1)*\textcolor{blue}{\texttt{dx}}, (\textcolor{blue}{\texttt{ny}}+1)*\textcolor{blue}{\texttt{dy}}.
       \end{itemize}
       
@@ -170,7 +170,9 @@
    \frametitle{Further Hints}
 
-   \onslide<2-> You will find some more detailed information to solve this exercise in the PALM-online-documentation under (attention: the documentation is for atmospheric convection with free upper lid):\\
+   \onslide<2-> You will find some more detailed information to solve this exercise in the PALM-online-documentation under:\\
    \ \\
    \small\url{http://palm.muk.uni-hannover.de/wiki/doc/app/examples/cbl}\\
+   \ \\
+   \normalsize (Attention: This documentation is for atmospheric convection with free upper lid.)
    \ \\
    \ \\
Index: /palm/trunk/TUTORIAL/SOURCE/exercise_neutral.tex
===================================================================
--- /palm/trunk/TUTORIAL/SOURCE/exercise_neutral.tex	(revision 1197)
+++ /palm/trunk/TUTORIAL/SOURCE/exercise_neutral.tex	(revision 1198)
@@ -66,6 +66,6 @@
    \frametitle{Exercise 2: Neutrally Stratified  Atmospheric Boundary Layer}
    \begin{itemize}
-      \item The simulation should be for a neutrally stratified atmospheric boundary layer.
-      \item<2-> The flow should be driven by a constant large-scale pressure gradient, i.e. a geostrophic wind.
+      \item A neutrally stratified atmospheric boundary layer shall be simulated.
+      \item<2-> The flow shall be driven by a constant large-scale pressure gradient, i.e. a geostrophic wind.
       \item<3-> At the end of the simulation, turbulence as well as the mean flow should be in a stationary state.
    \end{itemize}
@@ -90,5 +90,5 @@
        \item<3-> Is it really a large-eddy simulation, i.e. are the subgrid-scale fluxes much smaller than the resolved-scale fluxes?
        \vspace{1em}
-       \item<4-> How does the turbulence spectra of $u$, $v$, $w$, along $x$ and along $y$ look like?\\
+       \item<4-> How do the turbulence spectra of $u$, $v$, $w$ along $x$ and along $y$ look like?\\
                  Can you identify the inertial subrange?
     \end{itemize}
@@ -105,7 +105,7 @@
            \item<3-> The 1D-model (\texttt{\textcolor{blue}{initializing\_actions} = 'set\_1d-model\_profiles'}) is mainly controlled by parameters \texttt{\textcolor{blue}{end\_time\_1d}} and \texttt{\textcolor{blue}{damp\_level\_1d}}. Please keep in mind that the profiles from the 1D-model should also be in a stationary state.
            \vspace{0.5em}
-            \item<3-> Output of vertical profile data generated by the 1D-model is controlled by parameter \texttt{\textcolor{blue}{dt\_pr\_1d}}. It is in ASCII-format and it is written into a separate file. You can include the profiles of the 1D-model, which are used to initialize the 3D-model, in the standard profile data output of the 3D-model (which is controlled by parameter \texttt{\textcolor{blue}{data\_output\_pr}}) by adding a \texttt{'\#'} sign to the respective output quantitiy, e.g. \texttt{\textcolor{blue}{data\_output\_pr} = '\#u'}.
+            \item<3-> Output of vertical profile data generated by the 1D-model is controlled by parameter \texttt{\textcolor{blue}{dt\_pr\_1d}}. It is in ASCII-format and it is written into a separate file. You can include the profiles of the 1D-model, which are used to initialize the 3D-model, in the standard profile data output of the 3D-model (which is controlled by parameter \texttt{\textcolor{blue}{data\_output\_pr}}) by adding a \texttt{'\#'} sign to the respective output quantity, e.g. \texttt{\textcolor{blue}{data\_output\_pr} = '\#u'}.
            \vspace{0.5em}
-            \item<3-> For the 1D-model, please set \texttt{\textcolor{blue}{mixing\_length} = 'blackadar'} and \texttt{\textcolor{blue}{dissipation\_1d} = 'detering'} in order to get a correct mean boundary layer wind profile. The default settings of these parameters would switch the turbulence parameterization of the 1D-model to the SGS-parameterization of the 3D-LES-model, which represents only the SGS-parts of turbulence. However, for this exercise the 1D-model has to parameterize all scales of turbulence (i.e. it should be used as a RANS-model).
+            \item<3-> For the 1D-model, please set \texttt{\textcolor{blue}{mixing\_length\_1d} = 'blackadar'} and \texttt{\textcolor{blue}{dissipation\_1d} = 'detering'} in order to get a correct mean boundary layer wind profile. The default settings of these parameters would switch the turbulence parameterization of the 1D-model to the SGS-parameterization of the 3D-LES-model, which represents only the SGS-parts of turbulence. However, for this exercise the 1D-model has to parameterize all scales of turbulence (i.e. it should be used as a RANS-model).
         \end{itemize}
 